CookiePolicy (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.params
Class CookiePolicy

    java.lang.Object
      org.apache.http.client.params.CookiePolicy

Deprecated. (4.3) use `CookieSpecs`.

    @Deprecated
    public final class CookiePolicy

extends Object

Standard cookie specifications supported by HttpClient.

Since:
  4.0

Field Summary
`static String` | `BEST_MATCH` Deprecated. The default 'best match' policy.
`static String` | `BROWSER_COMPATIBILITY` Deprecated. The policy that provides high degree of compatibilty with common cookie management of popular HTTP agents.
`static String` | `IGNORE_COOKIES` Deprecated. The policy that ignores cookies.
`static String` | `NETSCAPE` Deprecated. The Netscape cookie draft compliant policy.
`static String` | `RFC_2109` Deprecated. The RFC 2109 compliant policy.
`static String` | `RFC_2965` Deprecated. The RFC 2965 compliant policy.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROWSER_COMPATIBILITY

    public static final String BROWSER_COMPATIBILITY

  Deprecated.
  The policy that provides high degree of compatibilty with common cookie management of popular HTTP agents.

  See Also:
    Constant Field Values

### NETSCAPE

    public static final String NETSCAPE

  Deprecated.
  The Netscape cookie draft compliant policy.

  See Also:
    Constant Field Values

### RFC_2109

    public static final String RFC_2109

  Deprecated.
  The RFC 2109 compliant policy.

  See Also:
    Constant Field Values

### RFC_2965

    public static final String RFC_2965

  Deprecated.
  The RFC 2965 compliant policy.

  See Also:
    Constant Field Values

### BEST_MATCH

    public static final String BEST_MATCH

  Deprecated.
  The default 'best match' policy.

  See Also:
    Constant Field Values

### IGNORE_COOKIES

    public static final String IGNORE_COOKIES

  Deprecated.
  The policy that ignores cookies.

  Since:
    4.1-beta1
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.